import { OnModuleInit } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
export declare class UploadsService implements OnModuleInit {
    private readonly config;
    private readonly logger;
    private readonly uploadDir;
    constructor(config: ConfigService);
    onModuleInit(): Promise<void>;
    saveReceipt(file: Express.Multer.File): Promise<{
        url: string;
        filename: string;
        mimeType: string;
    }>;
}
